import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'gz_video_player_platform_interface.dart';

/// An implementation of [GzVideoPlayerPlatform] that uses method channels.
class MethodChannelGzVideoPlayer extends GzVideoPlayerPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('gz_video_player');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
